Daemon Power

The NetBSD Packages Collection: meta-pkgs/php74-extensions

Brief description of the package:
"meta-package" for the PHP 7.4 HTML-embedded scripting language

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.php.net/.

The package is located in the "meta-pkgs/php74-extensions" directory. The current source version of the package is "php74-extensions-7.4.14". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for meta-pkgs/php74-extensions :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: php>=7.4.14<7.5 pcre2>=10.21 cwrappers>=20150314 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 readline>=2.2 pcre2>=10.30 libxml2>=2.9.10nb3 readline>=6.0 ap24-php74>=7.4.14<7.5 php>=7.3.0<7.3.99 apache>=2.4.7<2.5 apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python38>=3.8 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python38>=3.8.0 brotli>=1.0.1 apr-util>=1.6.1nb6 pcre>=8.30nb1 nghttp2>=1.40.0nb4 php>=7.3.24nb1 apache>=2.4.46nb1 php74-fpm>=7.4.14<7.5 php74-bcmath>=7.4.14<7.5 php74-bz2>=7.4.14<7.5 php74-calendar>=7.4.14<7.5 php74-curl>=7.4.14<7.5 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.70.0nb2 php74-dba>=7.4.14<7.5 php74-enchant>=7.4.14 enchant>=1.2.4 hunspell-en_US-[0-9]* hunspell>=1.2.2 perl>=5.0 glib2>=2.4.0 meson-[0-9]* ninja-build>=1.7 re2c>=0.11.3 py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8.7 hunspell>=1.7.0 glib2>=2.64.0nb1 enchant>=1.1.3 enchant>=1.6.0nb9 php74-exif>=7.4.14<7.5 php74-ftp>=7.4.14<7.5 php74-gd>=7.4.14<7.5 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 gd>=2.3.0nb1 php74-gettext>=7.4.14<7.5 php74-gmp>=7.4.14<7.5 gmp>=4.2.1 gmp>=5.0.1 php74-iconv>=7.4.14<7.5 php74-imap>=7.4.14<7.5 imap-uw>=2007dnb1 imap-uw>=2007fnb9 php74-intl>=7.4.14<7.5 icu>=3.4 icu>=68.1 php74-json>=7.4.14<7.5 re2c>=0.13.0.4 php74-ldap>=7.4.14<7.5 php74-mbstring>=7.4.14<7.5 php74-mysqli>=7.4.14<7.5 mysql-client>=5.7.12<5.8 lz4>=1.7.3<100 boost-libs-1.75.* boost-jam-1.75.* editline>=3.0.20130712nb1 libevent>=0.6 lz4>=1.7.3 libevent>=2.1.11nb1 boost-headers-1.75.* mysql-client>=5.7.28nb2 php74-opcache>=7.4.14<7.5 php74-pcntl>=7.4.14<7.5 php74-pdo>=7.4.14<7.5 php74-pdo_dblib>=7.4.14<7.5 freetds>=0.63 libltdl>=2.4.2 libltdl>=2.2.6 freetds>=1.00 php73-pdo-7.* freetds>=1.00.112nb4 php73-pdo>=5.2.9 php74-pdo_mysql>=7.4.14<7.5 php74-sqlite3>=7.4.14<7.5 php74-pdo_pgsql>=7.4.14<7.5 postgresql12-client>=12.0 postgresql12-client>=12.5nb1 php74-pdo_sqlite>=7.4.14<7.5 php74-pgsql>=7.4.14<7.5 php74-posix>=7.4.14<7.5 php74-pspell>=7.4.14<7.5 aspell>=0.50.3 aspell>=0.60.6nb3 php74-shmop>=7.4.14<7.5 php74-snmp>=7.4.14<7.5 net-snmp>=5.0.9nb3 perl>=5.32.0 perl<5.34.0 osabi-NetBSD-9.0_STABLE net-snmp>=5.7.3nb13 php74-soap>=7.4.14<7.5 php74-sockets>=7.4.14<7.5 php74-sodium>=7.4.14<7.5 libsodium>=0.3 php74-sysvmsg>=7.4.14<7.5 php74-sysvsem>=7.4.14<7.5 php74-sysvshm>=7.4.14<7.5 php74-tidy>=7.4.14<7.5 tidy>=5.1.25<20000000 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 php74-xmlrpc>=7.4.14<7.5 php74-xsl>=7.4.14<7.5 libxslt>=1.1.8 libxslt>=1.1.34nb4 php74-zip>=7.4.14<7.5 libzip>=1.3.1 libzip>=1.6.1nb2 php74-zlib>=7.4.14<7.5 .

This package requires the following package(s) to run: php>=7.4.14<7.5 pcre2>=10.21 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 readline>=2.2 pcre2>=10.30 libxml2>=2.9.10nb3 readline>=6.0 ap24-php74>=7.4.14<7.5 php>=7.3.0<7.3.99 apache>=2.4.7<2.5 apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python38>=3.8 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python38>=3.8.0 brotli>=1.0.1 apr-util>=1.6.1nb6 pcre>=8.30nb1 nghttp2>=1.40.0nb4 php>=7.3.24nb1 apache>=2.4.46nb1 php74-fpm>=7.4.14<7.5 php74-bcmath>=7.4.14<7.5 php74-bz2>=7.4.14<7.5 php74-calendar>=7.4.14<7.5 php74-curl>=7.4.14<7.5 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.70.0nb2 php74-dba>=7.4.14<7.5 php74-enchant>=7.4.14 enchant>=1.2.4 hunspell-en_US-[0-9]* hunspell>=1.2.2 perl>=5.0 glib2>=2.4.0 hunspell>=1.7.0 glib2>=2.64.0nb1 enchant>=1.1.3 enchant>=1.6.0nb9 php74-exif>=7.4.14<7.5 php74-ftp>=7.4.14<7.5 php74-gd>=7.4.14<7.5 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 gd>=2.3.0nb1 php74-gettext>=7.4.14<7.5 php74-gmp>=7.4.14<7.5 gmp>=4.2.1 gmp>=5.0.1 php74-iconv>=7.4.14<7.5 php74-imap>=7.4.14<7.5 imap-uw>=2007dnb1 imap-uw>=2007fnb9 php74-intl>=7.4.14<7.5 icu>=3.4 icu>=68.1 php74-json>=7.4.14<7.5 php74-ldap>=7.4.14<7.5 php74-mbstring>=7.4.14<7.5 php74-mysqli>=7.4.14<7.5 mysql-client>=5.7.12<5.8 lz4>=1.7.3<100 boost-libs-1.75.* editline>=3.0.20130712nb1 libevent>=0.6 lz4>=1.7.3 libevent>=2.1.11nb1 mysql-client>=5.7.28nb2 php74-opcache>=7.4.14<7.5 php74-pcntl>=7.4.14<7.5 php74-pdo>=7.4.14<7.5 php74-pdo_dblib>=7.4.14<7.5 freetds>=0.63 libltdl>=2.4.2 libltdl>=2.2.6 freetds>=1.00 php73-pdo-7.* freetds>=1.00.112nb4 php73-pdo>=5.2.9 php74-pdo_mysql>=7.4.14<7.5 php74-sqlite3>=7.4.14<7.5 php74-pdo_pgsql>=7.4.14<7.5 postgresql12-client>=12.0 postgresql12-client>=12.5nb1 php74-pdo_sqlite>=7.4.14<7.5 php74-pgsql>=7.4.14<7.5 php74-posix>=7.4.14<7.5 php74-pspell>=7.4.14<7.5 aspell>=0.50.3 aspell>=0.60.6nb3 php74-shmop>=7.4.14<7.5 php74-snmp>=7.4.14<7.5 net-snmp>=5.0.9nb3 perl>=5.32.0 perl<5.34.0 osabi-NetBSD-9.0_STABLE net-snmp>=5.7.3nb13 php74-soap>=7.4.14<7.5 php74-sockets>=7.4.14<7.5 php74-sodium>=7.4.14<7.5 libsodium>=0.3 php74-sysvmsg>=7.4.14<7.5 php74-sysvsem>=7.4.14<7.5 php74-sysvshm>=7.4.14<7.5 php74-tidy>=7.4.14<7.5 tidy>=5.1.25<20000000 php74-xmlrpc>=7.4.14<7.5 php74-xsl>=7.4.14<7.5 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxslt>=1.1.34nb4 php74-zip>=7.4.14<7.5 libzip>=1.3.1 libzip>=1.6.1nb2 php74-zlib>=7.4.14<7.5 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:php74-extensions-7.4.10.tgz(NetBSD 9.0)
earmv6hf:php74-extensions-7.4.11.tgz(NetBSD 9.0)
earmv6hf:php74-extensions-7.4.7.tgz(NetBSD 9.0)
earmv6hf:php74-extensions-7.4.14.tgz(NetBSD 9.0)
earmv7hf:php74-extensions-7.4.9.tgz(NetBSD 8.0)
earmv7hf:php74-extensions-7.4.6.tgz(NetBSD 8.0)
earmv7hf:php74-extensions-7.4.9.tgz(NetBSD 9.0)
earmv7hf:php74-extensions-7.4.6.tgz(NetBSD 9.0)
earmv7hf:php74-extensions-7.4.10.tgz(NetBSD 9.0)
earmv7hf:php74-extensions-7.4.14.tgz(NetBSD 9.0)
earmv7hf:php74-extensions-7.4.13.tgz(NetBSD 9.0)
i386:php74-extensions-7.4.9.tgz(NetBSD 8.0)
i386:php74-extensions-7.4.11.tgz(NetBSD 8.0)
i386:php74-extensions-7.4.14.tgz(NetBSD 8.0)
i386:php74-extensions-7.4.9.tgz(NetBSD 9.0)
i386:php74-extensions-7.4.11.tgz(NetBSD 9.0)
i386:php74-extensions-7.4.14.tgz(NetBSD 9.0)
mips64eb:php74-extensions-7.4.10.tgz(NetBSD 9.0)
sparc64:php74-extensions-7.4.10.tgz(NetBSD 9.0)
sparc64:php74-extensions-7.4.11.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.12.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.10.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.11.tgz(NetBSD 8.0)
x86_64:php74-extensions-7.4.9.tgz(NetBSD 8.0)
x86_64:php74-extensions-7.4.14.tgz(NetBSD 8.0)
x86_64:php74-extensions-7.4.9.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.11.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.14.tgz(NetBSD 9.0)
x86_64:php74-extensions-7.4.13.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]